Loading...
Searching...
No Matches
wimlib_stream_entry Struct Reference
Retrieving WIM information and directory listings

Information about a stream of a particular file in the WIM. More...

`#include <wimlib.h>`

Collaboration diagram for wimlib_stream_entry:
[legend]

## Data Fields

const wimlib_tchar * | stream_name
| Name of the stream, or NULL if the stream is unnamed.
struct wimlib_resource_entry | resource
| Info about this stream's data, such as its hash and size if known.
uint64_t | reserved [4]

## Detailed Description

Information about a stream of a particular file in the WIM.

Normally, only WIM images captured from NTFS filesystems will have multiple streams per file. In practice, this is a rarely used feature of the filesystem.

TODO: the library now explicitly tracks stream types, which allows it to have multiple unnamed streams (e.g. both a reparse point stream and unnamed data stream). However, this isn't yet exposed by wimlib_iterate_dir_tree().

## Field Documentation

## stream_name

const wimlib_tchar* wimlib_stream_entry::stream_name

Name of the stream, or NULL if the stream is unnamed.

## resource

struct wimlib_resource_entry wimlib_stream_entry::resource

Info about this stream's data, such as its hash and size if known.

## reserved

uint64_t wimlib_stream_entry::reserved[4]

The documentation for this struct was generated from the following file:

- wimlib.h